Hailo Network IP Ltd | What do I need to use FastPay?

Help Center

What do I need to use FastPay?

Last Updated: Oct 19, 2015 01:48PM BST

You do not need to install any hardware or sign up to anything - this is included as part of your Hailo driver account. For the best experience, you will need version 4.31 of the driver app or higher - but you will be able to accept payments via FastPay no matter which version of the app is currently installed on your phone.

Was this answer helpful?